## golang-github-wk8-go-ordered-map 2.1.8

=== debian/changelog ===
golang-github-wk8-go-ordered-map (2.1.8-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Feb 2025 15:40:49 +0100

golang-github-wk8-go-ordered-map (2.1.8-1) unstable; urgency=medium

  * Initial release (Closes: #1093249)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 16 Jan 2025 22:52:50 +0100
