=== debian/control ===
Source: golang-github-wk8-go-ordered-map
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-bahlo-generic-list-go-dev,
 golang-github-buger-jsonparser-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-stretchr-testify-dev,
 golang-gopkg-yaml.v3-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-wk8-go-ordered-map
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-wk8-go-ordered-map.git
Homepage: https://github.com/wk8/go-ordered-map
XS-Go-Import-Path: github.com/wk8/go-ordered-map

Package: golang-github-wk8-go-ordered-map-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-bahlo-generic-list-go-dev,
 golang-github-buger-jsonparser-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-stretchr-testify-dev,
 golang-gopkg-yaml.v3-dev,
 ${misc:Depends},
Description: Optimal implementation of ordered maps for Golang (Go library)
 Golang Ordered Maps
 .
 Same as regular maps, but also remembers the order in which keys were
 inserted, akin to Python's collections.OrderedDicts:
 https://docs.python.org/3.7/library/collections.html#ordereddict-objects
 .
 It offers the following features:
 .
  * optimal runtime performance (all operations are constant time)
  * optimal memory usage (only one copy of values, no unnecessary memory
    allocation)
  * allows iterating from newest or oldest keys indifferently, without
    memory copy, allowing to break the iteration, and in time linear to the
    number of keys iterated over rather than the total length of the
    ordered map
  * supports any generic types for both keys and values. If you're
    running go < 1.18, you can use version 1 (https://github.com/wk8/go-
    ordered-map/tree/v1) that takes and returns generic interface{}s instead
    of using generics
  * idiomatic API, akin to that of container/list
    (https://golang.org/pkg/container/list)
  * support for JSON and YAML marshalling
 .
 Documentation
 .
 The full documentation is available on pkg.go.dev:
 https://pkg.go.dev/github.com/wk8/go-ordered-map/v2
